<?php

namespace App\Console\Commands;

use Exception;
use Illuminate\Console\Command;
use App\Knockout\Thread;

class Latest extends Command {

    protected $name = 'knockout:latest';
    protected $description = 'Fetch latest thread list';

    public function handle()
    {
        try {
            Thread::updateLatest();
            echo '[ OK ] Latest threads cached' . PHP_EOL;
        } catch (Exception $e) {
            echo '[FAIL] Latest threads cached' . PHP_EOL;
        }
    }

}
